Summary: The GNU Bourne Again shell (bash) version 1.14.
Name: bash
Version: 1.14.7
Release: 23.6x
Group: System Environment/Shells
Copyright: GPL
Source0: ftp://ftp.gnu.org/pub/gnu/bash/bash-1.14.7.tar.gz
Source1: bashrc1
Patch0: ftp://ftp.azstarnet.com/pub/linux/axp/misc/bash-1.14.5.patch.gz
Patch1: bash-1.14.6.sparc.patch
Patch2: ftp://ftp.azstarnet.com/pub/linux/axp/misc/bash-1.14.6-rh3.0.3-glibc.patch.gz
Patch3: bash-1.14.7-paths.patch
Patch4: bash-1.14.7-security.patch
Patch5: bash-1.14.7-mips.patch
Patch6: bash-1.14.7-signal.patch
Patch7: bash-1.14.7-winsz.patch
Patch8: bash-1.14.7-race.patch
Patch9: bash-1.14.7-secfix.patch
Patch10: bash-1.14.7-hist.patch
Patch11: bash-1.14.7-alpha.patch
Patch12: bash-1.14.7-tmpfile.patch
Requires: mktemp
Buildroot: /var/tmp/bash-root

%description
The GNU project Bourne Again shell (bash) is a shell or command
language interpreter that is compatible with the Bourne shell
(sh). Bash incorporates useful features from the Korn shell (ksh) and
the C shell (csh) and most sh scripts can be run by bash without
modification. Bash is the default shell for Red Hat Linux. It is a
popular and powerful shell, and you'll probably end up using it.

This package contains bash version 1.14, and it is included for people
who have old shell scripts (legacy install scripts, makefiles,
sysadmin-authored shell scripts, etc.) that depend on bash 1.14's
behavior and won't play nicely with bash 2.03.  Bash 2.03 is included
in the bash2 package.

If you have old shell scripts on your system that need bash 1.14 or
you just prefer this version of bash, install this package.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 -b .secfix
%patch10 -p1 -b .hist
%patch11 -p1 -b .alpha
%patch12 -p1 -b .tmp

%build
make "CFLAGS=$RPM_OPT_FLAGS" prefix=/usr CC=gcc CPPNAME='$(CC) -E'
strip -R .comments bash

%install
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/usr/bin/bash $RPM_BUILD_ROOT/bin/bash
rm -f $RPM_BUILD_ROOT/usr/bin/installed-bash
gzip -9nf $RPM_BUILD_ROOT/usr/info/bash.info
rm -f $RPM_BUILD_ROOT/usr/bin/bash.old
install -c -m644 $RPM_SOURCE_DIR/bashrc1 $RPM_BUILD_ROOT/etc/bashrc
ln -sf bash.1.gz $RPM_BUILD_ROOT/usr/man/man1/sh.1.gz
ln -sf bash $RPM_BUILD_ROOT/bin/sh

%clean
rm -rf $RPM_BUILD_ROOT

# ***** bash doesn't use install-info. It's always listed in /usr/info/dir
# to prevent prereq loops

%post

HASBASH=""
HASSH=""

if [ ! -f /etc/shells ]; then
	> /etc/shells
fi

(while read line ; do
	if [ $line = /bin/bash ]; then
		HASBASH=1
	elif [ $line = /bin/sh ]; then
		HASSH=1
	fi
 done

 if [ -z "$HASBASH" ]; then
	echo "/bin/bash" >> /etc/shells
 fi

 if [ -z "$HASSH" ]; then
	echo "/bin/sh" >> /etc/shells
fi) < /etc/shells

%files
%defattr(-,root,root)
%doc NEWS README RELEASE
%config /etc/bashrc
/bin/bash
/bin/sh
/usr/info/bash.info.gz
/usr/man/man1/bash.1*
/usr/man/man1/sh.1*
/usr/bin/bashbug

%changelog
* Fri Nov 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up insecure creation of temp files (#21292)

* Sat Feb 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify bashrc so we don't stty erase tput bs with stupid terms that
  don't answer to tput bs (TERM=dumb etc.)

* Mon Feb 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify bashrc to start /etc/profile.d/*.sh if we're not a login
  shell. (Needed for aliases in xterms, for example)

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix man page symlinks

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- build to fix dependency problems
- man pages are compressed

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- obey backspace settings obtained by tput
- set user/host/directory in titlebar of xterms

* Mon Jan 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't overwrite PS1 if it's already set (Bug #8518)
- handle RPM_OPT_FLAGS
- rename bashrc to bashrc1 in the source RPM so
  rpm -i bash-1.*src.rpm bash2-*src.rpm doesn't mess up builds
- fix build on alpha with current glibc
- Prereq /dev/null (Bug #8473)

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary
- remove 'which' alias from /etc/bashrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binary again

* Wed Oct 07 1998 Michael K. Johnson <johnsonm@redhat.com>
- history privacy fix (.hist)

* Sun Sep 06 1998 Cristian Gafton <gafton@redhat.com>
- security patch fix

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to enable TIOCWINSZ support in the readline lib
- patch for temp race on bashbug

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- rewrote %pre to not use grep anymore
- added %defattr line so package can be built as a user

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- removed %post; if they remove bash, they have bigger problems then extra
  /etc/shells entries! This makes the perreq loops easier to deal with

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

